Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-5984

Overview

Vulnerability Score 7.8 7.8
CVE Id CVE-2007-5984
Last Modified 15 Nov 2008 02:02:56
Published 14 Nov 2007 07:46:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2007-5984

Summary

classes/Url.php in Justin Hagstrom AutoIndex PHP Script before 2.2.4 allows remote attackers to cause a denial of service (CPU and memory consumption) via a %00 sequence in the dir parameter to index.php, which triggers an erroneous "recursive calculation."

Vulnerable Systems

Application

  • Justin Hagstrom Autoindex Php Script 2.0.0

  • Justin Hagstrom Autoindex Php Script 2.0.1

  • Justin Hagstrom Autoindex Php Script 2.0.2

  • Justin Hagstrom Autoindex Php Script 2.0.3

  • Justin Hagstrom Autoindex Php Script 2.0.4

  • Justin Hagstrom Autoindex Php Script 2.0.5

  • Justin Hagstrom Autoindex Php Script 2.0.6

  • Justin Hagstrom Autoindex Php Script 2.0.7

  • Justin Hagstrom Autoindex Php Script 2.1.0

  • Justin Hagstrom Autoindex Php Script 2.1.1

  • Justin Hagstrom Autoindex Php Script 2.1.2

  • Justin Hagstrom Autoindex Php Script 2.2.0

  • Justin Hagstrom Autoindex Php Script 2.2.1

  • Justin Hagstrom Autoindex Php Script 2.2.2

  • Justin Hagstrom Autoindex Php Script 2.2.3


References

CONFIRM - http://autoindex.sourceforge.net/change_log.html

BID - 26410

BUGTRAQ - 20071112 AutoIndex <= 2.2.2 Cross Site Scripting and Denial of Service

OSVDB - 45282

XF - autoindex-index-dos(38437)

SREASON - 3360


Last Updated: 27 May 2016 10:46:20